Skip to content

Commit

Permalink
Add links to editorials
Browse files Browse the repository at this point in the history
  • Loading branch information
Yawn-Sean committed Sep 19, 2024
1 parent db3a5c5 commit e4d4d39
Show file tree
Hide file tree
Showing 6 changed files with 8 additions and 3 deletions.
4 changes: 2 additions & 2 deletions README.md
Original file line number Diff line number Diff line change
Expand Up @@ -24,5 +24,5 @@ Here are the current statistics of submissions: [Link](https://yawn-sean.github.

| Difficulty | Problems | Hints | Solution |
| -------- | -------- | -------- | -------- |
| 1700 | [CF1279D](https://codeforces.com/problemset/problem/1279/D) | Process each step carefully. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0918/solution/cf1279d.md) |
| 2000 | [CF340E](https://codeforces.com/problemset/problem/340/E) | Inclusion-exclusion method. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0918/solution/cf340e.md) |
| 1700 | [CF281B](https://codeforces.com/problemset/problem/281/B) | The demoninator isn't large, so we can enumerate it. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf281b.md) |
| 2000 | [CF309A](https://codeforces.com/problemset/problem/309/A) | Additivity of expectation. How can a bumping occur? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf309a.md) |
1 change: 1 addition & 0 deletions categories/binary_search.md
Original file line number Diff line number Diff line change
Expand Up @@ -18,6 +18,7 @@
| 2000 | [CF862D](https://codeforces.com/problemset/problem/862/D) | If you use binary search to find one $0/1$, how many queries do you need? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0815/solution/cf862d.md) |
| 2000 | [CF360B](https://codeforces.com/problemset/problem/360/B) | Consider DP. If the value is included in the DP, then the number of status can be too large. How can you avoid it? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0822/solution/cf360b.md) |
| 2000 | [CF1019B](https://codeforces.com/problemset/problem/1019/B) | $(a_{i}-a_{i+n/2})+(a_{i+n/2}-a_i)=0$ | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0828/solution/cf1019b.md) |
| 2000 | [CF309A](https://codeforces.com/problemset/problem/309/A) | Additivity of expectation. How can a bumping occur? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf309a.md) |
| 2100 | [CF1039B](https://codeforces.com/problemset/problem/1039/B) | It seems like a binary search problem. Why it fails? And what can you do to make up with so many queries? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/02/0227/solution/cf1039b.md) |
| 2100 | [CF166B](https://codeforces.com/problemset/problem/166/B) | How to decide a point is inside a convex hull? What about many points? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0313/solution/cf166b.md) |
| 2200 | [CF1153E](https://codeforces.com/problemset/problem/1153/E) | We only care about the head and the tail, so how can we tell if they are in the rectangle chosen or not? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0322/solution/cf1153e.md) |
Expand Down
1 change: 1 addition & 0 deletions categories/brute_force.md
Original file line number Diff line number Diff line change
Expand Up @@ -3,6 +3,7 @@
| 1600 | [CF1025B](https://codeforces.com/problemset/problem/1025/B) | Hmm... At least one element of the pair. Then, which one? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0309/solution/cf1025b.md) |
| 1700 | [CF1185D](https://codeforces.com/problemset/problem/1185/D) | Brain teaser actually. If it is hard to find what's not in the arithmatic progression, is it easier to find what's in it? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0308/solution/cf1185d.md) |
| 1700 | [CF1267E](https://codeforces.com/problemset/problem/1267/E) | We only need to have one candidate to get the votes that are more than the $n$ -th one, so consider each candidate separately. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0912/solution/cf1267e.md) |
| 1700 | [CF281B](https://codeforces.com/problemset/problem/281/B) | The demoninator isn't large, so we can enumerate it. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf281b.md) |
| 1800 | [CF1267J](https://codeforces.com/problemset/problem/1267/J) | We only cares about the frequency of each number. And the answer will not exceed the minimum of it. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0429/solution/cf1267j.md) |
| 1800 | [CF551B](https://codeforces.com/problemset/problem/551/B) | Enumerate the number of $b$ -s. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0909/solution/cf551b.md) |
| 1800 | [CF641C](https://codeforces.com/problemset/problem/641/C) | Odd-s and even-s move together. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0916/solution/cf641c.md) |
Expand Down
1 change: 1 addition & 0 deletions categories/counting.md
Original file line number Diff line number Diff line change
Expand Up @@ -42,6 +42,7 @@
| 2000 | [CF557D](https://codeforces.com/problemset/problem/557/D) | What is the maximum answer? From $0$ to the maximum answer, what conditions should the graph satisfy? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0808/solution/cf557d.md) |
| 2000 | [CF314B](https://codeforces.com/problemset/problem/314/B) | First of all, all characters should be found greedily. As the lengths of strings are not too long, there are not many status. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0911/solution/cf314b.md) |
| 2000 | [CF340E](https://codeforces.com/problemset/problem/340/E) | Inclusion-exclusion method. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0918/solution/cf340e.md) |
| 2000 | [CF309A](https://codeforces.com/problemset/problem/309/A) | Additivity of expectation. How can a bumping occur? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf309a.md) |
| 2100 | [CF895D](https://codeforces.com/problemset/problem/895/D) | Seems like a digit DP problem but it isn't actually. String comparison (of equal length) is all about the first different charactor. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0308/solution/cf895d.md) |
| 2100 | [CF540E](https://codeforces.com/problemset/problem/540/E) | Not many numbers are changed. So group the elements that are used in calculation. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0412/solution/cf540e.md) |
| 2100 | [CF1525E](https://codeforces.com/problemset/problem/1525/E) | The conditions for an unlit city is much simpler. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0426/solution/cf1525e.md) |
Expand Down
1 change: 1 addition & 0 deletions categories/probabilities.md
Original file line number Diff line number Diff line change
Expand Up @@ -5,5 +5,6 @@
| 1800 | [CF442B](https://codeforces.com/problemset/problem/442/B) | Calculate the marginal effect of adding one person. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/07/0716/solution/cf442b.md) |
| 1800 | [CF626D](https://codeforces.com/problemset/problem/626/D) | Consider the first $2$ balls as a whole. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/07/0730/solution/cf626d.md) |
| 2000 | [CF1009E](https://codeforces.com/problemset/problem/1009/E) | Consider the contribution of each $a_i$ . | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/06/0626/solution/cf1009e.md) |
| 2000 | [CF309A](https://codeforces.com/problemset/problem/309/A) | Additivity of expectation. How can a bumping occur? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf309a.md) |
| 2100 | [CF1525E](https://codeforces.com/problemset/problem/1525/E) | The conditions for a unlit city is much simpler. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0426/solution/cf1525e.md) |
| 2100 | [CF859D](https://codeforces.com/problemset/problem/859/D) | You only care about what are the odds of person $i$ still winning in the $k$-th round instead of the whole process. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/05/0510/solution/cf859d.md) |
3 changes: 2 additions & 1 deletion categories/two_pointers.md
Original file line number Diff line number Diff line change
Expand Up @@ -8,4 +8,5 @@
| 1700 | [CF631C](https://codeforces.com/problemset/problem/631/C) | Some operations are just useless. If one interval is covered by a larger interval afterwards, what will happen? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/05/0501/solution/cf631c.md) |
| 1700 | [CF1041D](https://codeforces.com/problemset/problem/1041/D) | The "area" is "good" for you, so at least make full use of the leftmost chosen one. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/07/0731/solution/cf1041d.md) |
| 1700 | [CF1278C](https://codeforces.com/problemset/problem/1278/C) | Consider the remaining jars. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0828/solution/cf1278c.md) |
| 2000 | [CF366D](https://codeforces.com/problemset/problem/366/D) | Note that the data range isn't that wide. You can fix the lower bound to find the upper bound. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/06/0627/solution/cf366d.md) |
| 2000 | [CF366D](https://codeforces.com/problemset/problem/366/D) | Note that the data range isn't that wide. You can fix the lower bound to find the upper bound. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/06/0627/solution/cf366d.md) |
| 2000 | [CF309A](https://codeforces.com/problemset/problem/309/A) | Additivity of expectation. How can a bumping occur? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0919/solution/cf309a.md) |

0 comments on commit e4d4d39

Please sign in to comment.